package googccwrap;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class Util {

    /**
     * Spools input to output
     * 
     * @param is
     *            input
     * @param os
     *            output
     * @throws IOException
     *             exception if something goes wrong
     */
    public static boolean spool(InputStream is, OutputStream os, boolean block) throws IOException {
        byte[] buf = new byte[block ? 1024 : is.available()];
        if (buf.length == 0) {
            return true;
        }
        int read = -1;
        while ((read = is.read(buf, 0, buf.length)) > 0) {
            os.write(buf, 0, read);
            if (!block) {
                break;
            }
        }
        os.flush();
        return read >= 0;
    }

}
